| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csIEEEfloat Struct Reference
[Utilities]

Convert IEEE 32-bit floats from or to native machine floats. More...

`#include <csutil/csendian.h>`

List of all members.

## Static Public Member Functions
static uint32 | FromNative (float f)
| Convert native to IEEE.
static float | ToNative (uint32 f)
| Convert IEEE to native.

## Detailed Description

Convert IEEE 32-bit floats from or to native machine floats.

Definition at line 167 of file csendian.h.

## Member Function Documentation

static uint32 csIEEEfloat::FromNative | ( | float | f | ) | `[inline, static]`

Convert native to IEEE.

Definition at line 173 of file csendian.h.

static float csIEEEfloat::ToNative | ( | uint32 | f | ) | `[inline, static]`

Convert IEEE to native.

Definition at line 184 of file csendian.h.

The documentation for this struct was generated from the following file:

- csutil/csendian.h